summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-05-08 21:05:29 +0000
committer Eric Hameleers <alien@slackware.com>2024-05-08 23:34:15 +0200
commit4526e22f98d369572864114219b98b29813571da (patch)
treeb546a25dc6933cf9a02c2fb8ad2f5f21c291cae7 /source/l
parent6dc3b3fe0a1b391d8324e9b624fb64372f3a4920 (diff)
downloadcurrent-4526e22f98d369572864114219b98b29813571da.tar.gz
current-4526e22f98d369572864114219b98b29813571da.tar.xz
Wed May 8 21:05:29 UTC 202420240508210529
d/cmake-3.29.3-x86_64-1.txz: Upgraded. l/adwaita-icon-theme-46.0-noarch-2.txz: Rebuilt. Restore icons that went missing after adwaita-icon-theme-41.0. l/glib2-2.80.2-x86_64-1.txz: Upgraded. l/libgnt-2.14.4_dev-x86_64-1.txz: Upgraded. l/mozilla-nss-3.100-x86_64-1.txz: Upgraded. n/samba-4.20.1-x86_64-1.txz: Upgraded. x/mesa-24.0.7-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/adwaita-icon-theme/adwaita-icon-theme.SlackBuild30
-rwxr-xr-xsource/l/libgnt/libgnt.SlackBuild9
-rwxr-xr-xsource/l/mozilla-nss/mozilla-nss.SlackBuild2
-rwxr-xr-xsource/l/pygtk/pygtk.SlackBuild1
4 files changed, 35 insertions, 7 deletions
diff --git a/source/l/adwaita-icon-theme/adwaita-icon-theme.SlackBuild b/source/l/adwaita-icon-theme/adwaita-icon-theme.SlackBuild
index 27350f954..6264cd83e 100755
--- a/source/l/adwaita-icon-theme/adwaita-icon-theme.SlackBuild
+++ b/source/l/adwaita-icon-theme/adwaita-icon-theme.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=adwaita-icon-theme
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -92,6 +92,34 @@ meson setup \
DESTDIR=$PKG $NINJA install || exit 1
cd ..
+# Add some extra icons that have gone missing since adwaita-icon-theme-41.0
+# to ensure complete coverage of the FDo icon theme specification.
+# Copy from the main tree and back to make sure that we
+# don't overwrite these if they eventally appear.
+( cd $PKG
+ mkdir tmpicons
+ cd tmpicons
+ tar xvf $CWD/41/adwaita-icon-theme-41.0.tar.xz || exit 1
+ cd adwaita-icon-theme-41.0
+ # Configure, build, and install:
+ export CFLAGS="$SLKCFLAGS"
+ export CXXFLAGS="$SLKCFLAGS"
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG/tmpicons || exit 1
+ rsync -lprvt --progress ../usr/ usr/
+ # Then sync back:
+ rsync -lprvt --progress usr/ ../usr/
+ # And remove the leftovers:
+ cd ..
+ rm -r tmpicons
+)
+
# Add some extra icons that are missing for Xfce.
# Copy from the main tree and back to make sure that we
# don't overwrite these if they eventally appear.
diff --git a/source/l/libgnt/libgnt.SlackBuild b/source/l/libgnt/libgnt.SlackBuild
index 913d0d90c..f348eaf60 100755
--- a/source/l/libgnt/libgnt.SlackBuild
+++ b/source/l/libgnt/libgnt.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libgnt
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -f 2- -d - | rev | cut -f 3- -d . | rev)}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -42,7 +42,7 @@ fi
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
- echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
exit 0
fi
@@ -134,5 +134,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
-
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
diff --git a/source/l/mozilla-nss/mozilla-nss.SlackBuild b/source/l/mozilla-nss/mozilla-nss.SlackBuild
index 49e0c23e5..2b540481c 100755
--- a/source/l/mozilla-nss/mozilla-nss.SlackBuild
+++ b/source/l/mozilla-nss/mozilla-nss.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mozilla-nss
SRCNAM=nss
-VERSION=${VERSION:-3.99}
+VERSION=${VERSION:-3.100}
NSPR=${NSPR:-4.35}
BUILD=${BUILD:-1}
diff --git a/source/l/pygtk/pygtk.SlackBuild b/source/l/pygtk/pygtk.SlackBuild
index c25f4c588..de4cfcefc 100755
--- a/source/l/pygtk/pygtk.SlackBuild
+++ b/source/l/pygtk/pygtk.SlackBuild
@@ -86,6 +86,7 @@ zcat $CWD/pygtk-fix-pango-object-leaks.patch.gz | patch -p1 --verbose || exit 1
# Fix build against recent pango:
zcat $CWD/pygtk-Drop-the-PangoFont-find_shaper-virtual-method.patch.gz | patch -p1 --verbose || exit 1
+PYTHON=python2 \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \